CVE-2020-1927

Published: 02 April 2020

In Apache HTTP Server 2.4.0 to 2.4.41, redirects configured with mod_rewrite that were intended to be self-referential might be fooled by encoded newlines and redirect instead to an an unexpected URL within the request URL.

Priority

Low

CVSS 3 base score: 6.1

Status

Package Release Status
apache2
Launchpad, Ubuntu, Debian
Upstream
Released (2.4.42)
Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(2.4.43-1ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (2.4.41-4ubuntu3.1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (2.4.29-1ubuntu4.14)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (2.4.18-2ubuntu3.17)
Ubuntu 14.04 ESM (Trusty Tahr) Needed

Patches:
Upstream: https://svn.apache.org/viewvc?view=revision&revision=1873905
Upstream: https://svn.apache.org/viewvc?view=revision&revision=1874191
Upstream: https://github.com/apache/httpd/commit/cd26218b944fc702901d1385a581e923d97a879f
Upstream: https://github.com/apache/httpd/commit/40bf351edc852c86e9a6bb85ef6d7f5b6a2bee3a